commit:     b728054f630f7d4f487e3167fc9228906a8cfb0b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 01:53:18 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 01:53:18 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b728054f

dev-debug/drgn: add 0.0.29

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-debug/drgn/Manifest           |  1 +
 dev-debug/drgn/drgn-0.0.29.ebuild | 61 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-debug/drgn/Manifest b/dev-debug/drgn/Manifest
index 3f87369f6a99..cacae1a69363 100644
--- a/dev-debug/drgn/Manifest
+++ b/dev-debug/drgn/Manifest
@@ -1 +1,2 @@
 DIST drgn-0.0.27.tar.gz 1193358 BLAKE2B 
9008c2784075dd2409d6a948474914f0b08bbd4ee0a7d537e77de5f9f34ebede20dab2fd371047708af5ded0ef395ae2361760edd5cbee2fac88140fcbb3d58e
 SHA512 
fab4620eada3767184b48bf641fc700697b5897c9313ee15ff16aec1070d9e7e92a732e430d4a9d0d02d7071764961e7845b2f9ee6a87c661bdf0fc4d4ecb0f0
+DIST drgn-0.0.29.tar.gz 1242038 BLAKE2B 
a2f750ff9717f1990400d1e491bc83229d1ade87e32a6d14e395b889562088df32b3915ded97c3c6486bc7defdea7e1d58dbdccdcc3f6085dca12104569a71ef
 SHA512 
2d13de5f4da2db106def4701b4de182c5a5781c12308bc169d6a9033f223b7c64fd4f83659c45a2861ac9aca56f31ba77d781452b9374bc29f50e1151a073741

diff --git a/dev-debug/drgn/drgn-0.0.29.ebuild 
b/dev-debug/drgn/drgn-0.0.29.ebuild
new file mode 100644
index 000000000000..466aac274efe
--- /dev/null
+++ b/dev-debug/drgn/drgn-0.0.29.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 multiprocessing pypi toolchain-funcs
+
+DESCRIPTION="Programmable debugger"
+HOMEPAGE="
+       https://github.com/osandov/drgn
+       https://pypi.org/project/drgn/
+       https://drgn.readthedocs.io/en/latest/
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+DEPEND="
+       >=dev-libs/elfutils-0.165
+       dev-libs/libkdumpfile
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( dev-libs/check )
+"
+
+distutils_enable_tests unittest
+
+pkg_pretend() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+src_configure() {
+       tc-export AR CC OBJCOPY OBJDUMP PKG_CONFIG RANLIB STRIP
+
+       cat >> setup.cfg <<-EOF || die
+       [build_ext]
+       parallel = $(makeopts_jobs)
+       EOF
+
+       # setuptools calls autotools (!)
+       export CONFIGURE_FLAGS
+       CONFIGURE_FLAGS="--disable-dependency-tracking --disable-silent-rules"
+       CONFIGURE_FLAGS+=" --with-libkdumpfile"
+       CONFIGURE_FLAGS+=" $(use_enable openmp)"
+       CONFIGURE_FLAGS+=" --build=${CBUILD}"
+       CONFIGURE_FLAGS+=" --host=${CHOST}"
+       CONFIGURE_FLAGS+=" --target=${CTARGET}"
+       distutils-r1_src_configure
+}

Reply via email to